## libkf5ksieve 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.19.3")

project(libksieve VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.87.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMAddQch)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(LIBKSIEVE_LIB_VERSION ${PIM_VERSION})
set(QT_REQUIRED_VERSION "5.15.2")
set(KMIME_LIB_VERSION "5.19.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.19.3")
set(KMAILTRANSPORT_LIB_VERSION "5.19.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.19.3")
set(LIBKDEPIM_LIB_VERSION "5.19.3")
set(PIMCOMMON_LIB_VERSION "5.19.3")
set(KIMAP_LIB_VERSION "5.19.3")

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
# Look for Sasl2 before anything else
find_package(Sasl2)
set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets PrintSupport WebEngine WebEngineWidgets)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5NewStuff ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Archive ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5SyntaxHighlighting ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)


ecm_setup_version(PROJECT VARIABLE_PREFIX LIBKSIEVE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libksieve_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5LibKSieveConfigVersion.cmake"
                        SOVERSION 5
)

########### Targets ###########


add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5LibKSieve")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5LibKSieveConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5LibKSieveConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5LibKSieveConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5LibKSieveConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5KSieveTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5LibKSieveTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/libksieve_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)
if(BUILD_TESTING)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Test)
    add_subdirectory(autotests)
endif()

add_subdirectory(src)
add_subdirectory(kioslave)
ecm_qt_install_logging_categories(
        EXPORT LIBKSIEVE
        FILE libksieve.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
kdoctools_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/kmanagesieve/CMakeLists.txt ===
add_library(KF5KManageSieve)
add_library(KF5::KManageSieve ALIAS KF5KManageSieve)

target_sources(KF5KManageSieve PRIVATE
  response.cpp
  session.cpp
  sessionthread.cpp
  sievejob.cpp
  sessionthread_p.h
  sievejob_p.h
  sasl-common.h
  session.h
  sievejob.h
  response.h

)
ecm_qt_declare_logging_category(KF5KManageSieve HEADER kmanagersieve_debug.h IDENTIFIER KMANAGERSIEVE_LOG CATEGORY_NAME org.kde.pim.kmanagersieve
        DESCRIPTION "kdepim (libksieve manager)"
        OLD_CATEGORY_NAMES log_kmanagersieve
        EXPORT LIBKSIEVE
    )


generate_export_header(KF5KManageSieve BASE_NAME kmanagesieve)
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF5KManageSieve PROPERTIES UNITY_BUILD ON)
endif()


if (WIN32)
    set(extra_LIBS ws2_32)
endif()


target_link_libraries(KF5KManageSieve
PRIVATE
  KF5::I18n 
  KF5::KIOCore
  KF5::KIOWidgets
  Sasl2::Sasl2
  ${extra_LIBS}
)

set_target_properties(KF5KManageSieve PROPERTIES
  VERSION ${LIBKSIEVE_VERSION}
  SOVERSION ${LIBKSIEVE_SOVERSION}
  EXPORT_NAME KManageSieve
)

target_include_directories(KF5KManageSieve INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KManageSieve/;${KDE_INSTALL_INCLUDEDIR_KF5}/kmanagesieve;${KDE_INSTALL_INCLUDEDIR_KF5}>")
target_include_directories(KF5KManageSieve PUBLIC "$<BUILD_INTERFACE:${libksieve_SOURCE_DIR}/src/kmanagesieve;${libksieve_BINARY_DIR}/src/kmanagesieve>")



ecm_generate_headers(kmanagesieve_CamelCase_HEADERS
  HEADER_NAMES
  SieveJob
  REQUIRED_HEADERS kmanagesieve_HEADERS
  PREFIX KManageSieve
)

ecm_generate_pri_file(BASE_NAME KManageSieve
    LIB_NAME KF5KManageSieve
    DEPS "" FILENAME_VAR PRI_FILENAME
)

install(TARGETS KF5KManageSieve EXPORT KF5KSieveTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${kmanagesieve_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KManageSieve
    COMPONENT Devel
)

install(FILES
    ${kmanagesieve_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kmanagesieve_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/kmanagesieve
    COMPONENT Devel
)
install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR}
)

=== src/ksieveui/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5KSieveUi_QCH
        FILE KF5KSieveUiQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5KSieveUiQchTargets.cmake\")")
endif()

add_library(KF5KSieveUi)
add_library(KF5::KSieveUi ALIAS KF5KSieveUi)
if(KDEPIM_ENTERPRISE_BUILD)
    set(USE_GRAPHICAL_SIEVE_EDITOR true)
else()
    set(USE_GRAPHICAL_SIEVE_EDITOR false)
endif()


configure_file(settings/sieve-editor.kcfg.cmake ${CMAKE_CURRENT_BINARY_DIR}/sieve-editor.kcfg)

if(BUILD_TESTING)
    add_subdirectory(editor/tests)
    add_subdirectory(managescriptsjob/autotests)
    add_subdirectory(editor/autotests)
    add_subdirectory(autocreatescripts/tests)
    add_subdirectory(scriptsparsing/tests)
    add_subdirectory(scriptsparsing/autotests)
    add_subdirectory(vacation/autotests)
    add_subdirectory(sievescriptdebugger/autotests)
    add_subdirectory(sievescriptdebugger/tests)
    add_subdirectory(autocreatescripts/autotests/)
    add_subdirectory(editor/webengine/findbar/autotests/)
    add_subdirectory(editor/webengine/autotests/)
    add_subdirectory(util/autotests/)
    add_subdirectory(sieveimapinstance/autotests)
    add_subdirectory(widgets/autotests)
endif()

target_sources(KF5KSieveUi PRIVATE
    vacation/vacationmaillineedit.cpp
    vacation/vacationhelperjob.cpp
    vacation/vacationeditwidget.cpp
    vacation/multiimapvacationdialog.cpp
    vacation/vacationpagewidget.cpp
    vacation/vacationwarningwidget.cpp
    vacation/vacationscriptextractor.cpp
    vacation/vacationutils.cpp
    vacation/vacationcreatescriptjob.cpp
    vacation/vacationcheckjob.cpp
    vacation/multiimapvacationmanager.cpp
    vacation/vacationmanager.cpp
    vacation/vacationmailactionwidget.cpp
    vacation/legacy/vacationutils.cpp
    vacation/legacy/vacationscriptextractor.cpp
    vacation/searchserverwithvacationsupportjob.cpp
    )
target_sources(KF5KSieveUi PRIVATE
    editor/webengine/sieveeditorwebengineview.cpp
    editor/webengine/sieveeditorhelphtmlwidget.cpp
    editor/webengine/sieveeditorloadprogressindicator.cpp
    editor/webengine/findbar/findbarbase.cpp
    editor/webengine/findbar/findbarwebengineview.cpp
    )

target_sources(KF5KSieveUi PRIVATE
    editor/sieveeditorwidget.cpp
    editor/sievetextedit.cpp
    editor/sieveeditor.cpp
    editor/sievelinenumberarea.cpp
    editor/sieveinfowidget.cpp
    editor/sieveeditortextmodewidget.cpp
    editor/sieveeditorabstractwidget.cpp
    editor/warningwidget/sieveeditorwarning.cpp
    editor/warningwidget/sieveeditorparsingmissingfeaturewarning.cpp
    editor/sieveeditortabwidget.cpp
    editor/sieveeditorutil.cpp
    editor/sieveeditormenubar.cpp
    editor/sievetexteditorspellcheckdecorator.cpp
    editor/sievetexteditwidget.cpp
    editor/sievepurposemenuwidget.cpp
    editor/sieveinfodialog.cpp
    )

target_sources(KF5KSieveUi PRIVATE
    autocreatescripts/sievepreviewgeneratedcodewidget.cpp
    autocreatescripts/sieveeditorgraphicalmodewidgetabstract.cpp
    autocreatescripts/sievescriptparsingerrordialog.cpp
    autocreatescripts/sieveeditorgraphicalmodewidget.cpp
    autocreatescripts/autocreatescriptdialog.cpp
    autocreatescripts/sieveconditionwidgetlister.cpp
    autocreatescripts/sievescriptlistbox.cpp
    autocreatescripts/sievescriptdescriptiondialog.cpp
    autocreatescripts/sieveactionwidgetlister.cpp
    autocreatescripts/sievescriptpage.cpp
    autocreatescripts/sievescriptblockwidget.cpp
    autocreatescripts/sievescripttabwidget.cpp
    autocreatescripts/autocreatescriptutil.cpp
    autocreatescripts/sieveincludewidget.cpp
    autocreatescripts/sieveforeverypartwidget.cpp
    autocreatescripts/sievewidgetpageabstract.cpp
    autocreatescripts/sieveglobalvariablewidget.cpp
    autocreatescripts/sieveactions/sieveactionlist.cpp
    autocreatescripts/sieveactions/sieveaction.cpp
    autocreatescripts/sieveactions/sieveactiondiscard.cpp
    autocreatescripts/sieveactions/sieveactionstop.cpp
    autocreatescripts/sieveactions/sieveactionsetflags.cpp
    autocreatescripts/sieveactions/sieveactionaddflags.cpp
    autocreatescripts/sieveactions/sieveactionfileinto.cpp
    autocreatescripts/sieveactions/sieveactionreject.cpp
    autocreatescripts/sieveactions/sieveactionkeep.cpp
    autocreatescripts/sieveactions/sieveactionredirect.cpp
    autocreatescripts/sieveactions/sieveactionabstractflags.cpp
    autocreatescripts/sieveactions/sieveactionremoveflags.cpp
    autocreatescripts/sieveactions/sieveactionnotify.cpp
    autocreatescripts/sieveactions/sieveactionabstracteditheader.cpp
    autocreatescripts/sieveactions/sieveactiondeleteheader.cpp
    autocreatescripts/sieveactions/sieveactionaddheader.cpp
    autocreatescripts/sieveactions/sieveactionvacation.cpp
    autocreatescripts/sieveactions/sieveactionenclose.cpp
    autocreatescripts/sieveactions/sieveactionreplace.cpp
    autocreatescripts/sieveactions/sieveactionextracttext.cpp
    autocreatescripts/sieveactions/sieveactionbreak.cpp
    autocreatescripts/sieveactions/sieveactionconvert.cpp
    autocreatescripts/sieveactions/sieveactionsetvariable.cpp
    autocreatescripts/sieveactions/sieveactionreturn.cpp
    autocreatescripts/sieveactions/sieveactionereject.cpp
    autocreatescripts/sieveactions/widgets/selectflagswidget.cpp
    autocreatescripts/sieveactions/widgets/addresslineedit.cpp
    autocreatescripts/sieveactions/widgets/selectaddheaderpositioncombobox.cpp
    autocreatescripts/sieveactions/widgets/selectimportancecombobox.cpp
    autocreatescripts/sieveactions/widgets/multilineedit.cpp
    autocreatescripts/sieveactions/widgets/selectvacationcombobox.cpp
    autocreatescripts/sieveactions/widgets/selectvariablemodifiercombobox.cpp
    autocreatescripts/commonwidgets/selectconvertparameterwidget.cpp
    autocreatescripts/commonwidgets/selectmatchtypecombobox.cpp
    autocreatescripts/commonwidgets/selectmimetypecombobox.cpp
    autocreatescripts/commonwidgets/sievehelpbutton.cpp
    autocreatescripts/commonwidgets/sievecommonactioncondition.cpp
    autocreatescripts/sieveconditions/sievecondition.cpp
    autocreatescripts/sieveconditions/sieveconditionheader.cpp
    autocreatescripts/sieveconditions/sieveconditionlist.cpp
    autocreatescripts/sieveconditions/sieveconditionaddress.cpp
    autocreatescripts/sieveconditions/sieveconditionsize.cpp
    autocreatescripts/sieveconditions/sieveconditionenvelope.cpp
    autocreatescripts/sieveconditions/sieveconditionexists.cpp
    autocreatescripts/sieveconditions/sieveconditiontrue.cpp
    autocreatescripts/sieveconditions/sieveconditionbody.cpp
    autocreatescripts/sieveconditions/sieveconditiondate.cpp
    autocreatescripts/sieveconditions/sieveconditioncurrentdate.cpp
    autocreatescripts/sieveconditions/sieveconditionmailboxexists.cpp
    autocreatescripts/sieveconditions/sieveconditionspamtest.cpp
    autocreatescripts/sieveconditions/sieveconditionvirustest.cpp
    autocreatescripts/sieveconditions/sieveconditionihave.cpp
    autocreatescripts/sieveconditions/sieveconditionfalse.cpp
    autocreatescripts/sieveconditions/sieveconditionenvironment.cpp
    autocreatescripts/sieveconditions/sieveconditionhasflag.cpp
    autocreatescripts/sieveconditions/sieveconditionmetadata.cpp
    autocreatescripts/sieveconditions/sieveconditionconvert.cpp
    autocreatescripts/sieveconditions/sieveconditionmetadataexists.cpp
    autocreatescripts/sieveconditions/sieveconditionservermetadata.cpp
    autocreatescripts/sieveconditions/sieveconditionservermetadataexists.cpp
    autocreatescripts/sieveconditions/widgets/selectdatewidget.cpp
    autocreatescripts/sieveconditions/widgets/selectaddresspartcombobox.cpp
    autocreatescripts/sieveconditions/widgets/selectheadertypecombobox.cpp
    autocreatescripts/sieveconditions/widgets/selectbodytypewidget.cpp
    autocreatescripts/sieveconditions/widgets/selectrelationalmatchtype.cpp
    autocreatescripts/sieveconditions/widgets/selectcomparatorcombobox.cpp
    autocreatescripts/sieveconditions/widgets/selectmimecombobox.cpp
    autocreatescripts/sieveconditions/widgets/selectsizetypecombobox.cpp
    autocreatescripts/sieveconditions/widgets/selectsizewidget.cpp
    autocreatescripts/sieveconditions/widgets/sievedatespinbox.cpp
    autocreatescripts/sieveconditions/widgets/regexpeditorlineedit.cpp
    )

target_sources(KF5KSieveUi PRIVATE
    scriptsparsing/xmlprintingscriptbuilder.cpp
    scriptsparsing/parsingresultdialog.cpp
    scriptsparsing/parsingutil.cpp
    )

target_sources(KF5KSieveUi PRIVATE
    sievescriptdebugger/sievescriptdebuggerdialog.cpp
    sievescriptdebugger/sievescriptdebuggerwidget.cpp
    sievescriptdebugger/sievescriptdebuggerfrontendwidget.cpp
    sievescriptdebugger/sievescriptdebuggerwarning.cpp
    sievescriptdebugger/sievescriptdebuggertextedit.cpp
    sievescriptdebugger/sievescriptdebuggerresulteditor.cpp
    )

target_sources(KF5KSieveUi PRIVATE
    managescriptsjob/checkkolabkep14supportjob.cpp
    managescriptsjob/generateglobalscriptjob.cpp
    managescriptsjob/parseuserscriptjob.cpp
    managescriptsjob/renamescriptjob.cpp
    managescriptsjob/checkscriptjob.cpp
    )
target_sources(KF5KSieveUi PRIVATE
    sieveimapinstance/sieveimapinstance.cpp
    sieveimapinstance/sieveimapinstanceinterface.cpp
    sieveimapinstance/sieveimapinstanceinterfacemanager.cpp
    )
    
target_sources(KF5KSieveUi PRIVATE
    util/util.cpp
    util/abstractakonadiimapsettinginterface.cpp
    util/akonadiimapsettinginterface.cpp
    util/sieveimapaccountsettings.cpp
    util/findaccountinfojob.cpp
    util/sieveimappasswordprovider.cpp
    )	

target_sources(KF5KSieveUi PRIVATE
    widgets/custommanagesievewidget.cpp
    widgets/sievetreewidgetitem.cpp
    widgets/managesievetreeview.cpp
    widgets/managesievewidget.cpp
    widgets/abstractmoveimapfolderwidget.cpp
    widgets/abstractregexpeditorlineedit.cpp
    widgets/abstractselectemaillineedit.cpp
    widgets/lineeditvalidator.cpp
    widgets/includefilelineedit.cpp
    widgets/moveimapfolderwidget.cpp
    )

target_sources(KF5KSieveUi PRIVATE
    managesievescriptsdialog.cpp
    debug/sievedebugdialog.cpp
    templates/sievetemplatewidget.cpp
    templates/sievedefaulttemplate.cpp
    templates/sievetemplateeditdialog.cpp
    editor/sieveeditortabwidget.h
    editor/sievepurposemenuwidget.h
    editor/sievetextedit.h
    editor/sievetexteditorspellcheckdecorator.h
    editor/sieveeditortextmodewidget.h
    editor/sievetexteditwidget.h
    editor/sieveinfowidget.h
    editor/sieveinfodialog.h
    editor/sieveeditor.h
    editor/sieveeditorabstractwidget.h
    editor/webengine/findbar/findbarwebengineview.h
    editor/webengine/findbar/findbarbase.h
    editor/webengine/sieveeditorloadprogressindicator.h
    editor/webengine/sieveeditorhelphtmlwidget.h
    editor/webengine/sieveeditorwebengineview.h
    editor/sieveeditorwidget.h
    editor/sieveeditorutil.h
    editor/sieveeditormenubar.h
    editor/warningwidget/sieveeditorwarning.h
    editor/warningwidget/sieveeditorparsingmissingfeaturewarning.h
    editor/sievelinenumberarea.h
    templates/sievedefaulttemplate.h
    templates/sievetemplatewidget.h
    templates/sievetemplateeditdialog.h
    managescriptsjob/renamescriptjob.h
    managescriptsjob/generateglobalscriptjob.h
    managescriptsjob/checkscriptjob.h
    managescriptsjob/checkkolabkep14supportjob.h
    managescriptsjob/parseuserscriptjob.h
    sieveimapinstance/sieveimapinstanceinterfacemanager.h
    sieveimapinstance/sieveimapinstance.h
    sieveimapinstance/sieveimapinstanceinterface.h
    scriptsparsing/parsingresultdialog.h
    scriptsparsing/parsingutil.h
    ksieveui_private_export.h
    widgets/lineeditvalidator.h
    widgets/sievetreewidgetitem.h
    widgets/custommanagesievewidget.h
    widgets/moveimapfolderwidget.h

=== kioslave/src/autotests/CMakeLists.txt ===
ecm_add_tests( regexptest.cpp  NAME_PREFIX "libksieve-" LINK_LIBRARIES Qt::Test)

=== src/ksieveui/autocreatescripts/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

include_directories(${libksieve_SOURCE_DIR}
        ${libksieve_SOURCE_DIR}/src/ksieveui/
        )
add_definitions( -DKSIEVEUI_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data" )
add_definitions( -DKSIEVEUI_BINARY_DATA_DIR="${CMAKE_CURRENT_BINARY_DIR}/data" )

ecm_qt_declare_logging_category(ksieveui_sieveeditor_autocreatescripts_LIB_SRCS HEADER
    libksieve_debug.h IDENTIFIER LIBKSIEVE_LOG CATEGORY_NAME org.kde.pim.libksieve)

macro(add_sieveeditor_autocreatescripts _source _extrasource)
    set(_test ${_source} ${_extrasource})
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_test}
        TEST_NAME ${_name}
        NAME_PREFIX "sieveeditor-autocreatescripts-"
        LINK_LIBRARIES Qt::Test Qt::Widgets KF5::I18n KF5::Completion KF5::ConfigCore KF5::KSieveUi KF5::MailTransport KF5::Libkdepim
        )
    if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
        set_target_properties(${_name} PROPERTIES UNITY_BUILD ON)
    endif()
endmacro()



add_sieveeditor_autocreatescripts(selectheadertypecomboboxtest.cpp "../sieveconditions/widgets/selectheadertypecombobox.cpp;../autocreatescriptutil.cpp")
add_sieveeditor_autocreatescripts(selectheadersdialogtest.cpp "../sieveconditions/widgets/selectheadertypecombobox.cpp;../autocreatescriptutil.cpp")
add_sieveeditor_autocreatescripts(sieveeditorgraphicalmodewidgettest.cpp "${ksieveui_sieveeditor_autocreatescripts_LIB_SRCS};../../tests/capability.cpp")
add_sieveeditor_autocreatescripts(sievedatespinboxtest.cpp "")
add_sieveeditor_autocreatescripts(regexpeditorlineedittest.cpp "")

add_sieveeditor_autocreatescripts(sievescriptlistboxtest.cpp "")
add_sieveeditor_autocreatescripts(sievepreviewgeneratedcodewidgettest.cpp "")

=== src/ksieveui/autocreatescripts/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(autocreatescripts_gui autocreatescripts_gui.cpp ../../tests/capability.cpp)
target_include_directories(autocreatescripts_gui PRIVATE ${libksieve_SOURCE_DIR}/src/ksieveui/scriptsparsing)
target_link_libraries(autocreatescripts_gui
  KF5::KSieveUi
  KF5::PimCommon
  KF5::I18n
)

####
add_executable(parsingscript_gui parsingscript_gui.cpp ../../tests/capability.cpp)
target_include_directories(parsingscript_gui PRIVATE ${libksieve_SOURCE_DIR}/src/ksieveui/scriptsparsing)
target_link_libraries(parsingscript_gui
  KF5::KIOCore
  KF5::KSieveUi
  KF5::KSieve
  KF5::PimCommon
  KF5::I18n
)

=== src/ksieveui/editor/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

set( libksieveui_sieveeditormenubartest_source sieveeditormenubartest.cpp ../sieveeditormenubar.cpp
    )
add_executable( sieveeditormenubartest ${libksieveui_sieveeditormenubartest_source})
add_test(NAME sieveeditormenubartest COMMAND sieveeditormenubartest)
ecm_mark_as_test(sieveeditormenubartest)
target_link_libraries( sieveeditormenubartest KF5::KSieveUi KF5::KSieve Qt::Test KF5::Completion KF5::PimCommon KF5::ConfigWidgets KF5::I18n KF5::PimTextEdit)
set_property(TARGET sieveeditormenubartest PROPERTY INCLUDE_DIRECTORIES ${CMAKE_SOURCE_DIR}/src/ksieveui/ ${CMAKE_SOURCE_DIR}/src/ksieveui/editor/webengine/ ${CMAKE_SOURCE_DIR}/src/ksieveui/editor/webengine/findbar ${CMAKE_BINARY_DIR}/src/ksieveui/)



set( libksieveui_sievetextedittest_source sievetextedittest.cpp )
add_executable( sievetextedittest ${libksieveui_sievetextedittest_source})
add_test(NAME sievetextedittest COMMAND sievetextedittest)
ecm_mark_as_test(sievetextedittest)
target_link_libraries( sievetextedittest Qt::Test  Qt::Gui KF5::KSieveUi KF5::PimCommon KF5::PimTextEdit Qt::PrintSupport)


set( libksieveui_sievetexteditwidgettest_source sievetexteditwidgettest.cpp )
add_executable( sievetexteditwidgettest ${libksieveui_sievetexteditwidgettest_source})
add_test(NAME sievetexteditwidgettest COMMAND sievetexteditwidgettest)
ecm_mark_as_test(sievetexteditwidgettest)
target_link_libraries( sievetexteditwidgettest Qt::Test  Qt::Gui KF5::KSieveUi KF5::PimCommon KF5::PimTextEdit Qt::PrintSupport)

set( libksieveui_sieveinfodialogtest_source sieveinfodialogtest.cpp )
add_executable( sieveinfodialogtest ${libksieveui_sieveinfodialogtest_source})
add_test(NAME sieveinfodialogtest COMMAND sieveinfodialogtest)
ecm_mark_as_test(sieveinfodialogtest)
target_link_libraries( sieveinfodialogtest Qt::Test KF5::KSieveUi )

=== src/ksieveui/scriptsparsing/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
# Create the directory that will contain the generated xml files
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/data")

macro(add_sieveeditor_xmlprintingscriptbuilding _source _extrasource)
    set(_test ${_source} ${_extrasource})
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_test}
        TEST_NAME ${_name}
        NAME_PREFIX "sieveeditor-xmlprintingscriptbuilding-"
        LINK_LIBRARIES Qt::Test KF5::I18n KF5::KSieveUi
        )
    target_compile_definitions(${_name} PRIVATE XMLPRINTINGSCRIPTBUILDER_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")
    target_compile_definitions(${_name} PRIVATE XMLPRINTINGSCRIPTBUILDER_GENERATED_DATA_DIR="${CMAKE_CURRENT_BINARY_DIR}/data")
endmacro()

add_sieveeditor_xmlprintingscriptbuilding(xmlprintingscriptbuildertest.cpp "")

=== src/ksieveui/scriptsparsing/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
include_directories(${libksieveui_SOURCE_DIR}
        ${libksieve_SOURCE_DIR}/src/ksieveui
        ${libksieve_SOURCE_DIR}/src/ksieveui/scriptsparsing/
        )

add_executable(xmlsieveparsing  main.cpp )
target_link_libraries(xmlsieveparsing   KF5::KSieveUi KF5::KSieve KF5::I18n)

=== src/ksieveui/sievescriptdebugger/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

macro( add_sievescriptdebugger_test _source )
  set( _test ${_source})
  get_filename_component( _name ${_source} NAME_WE )
  add_executable( ${_name} ${_test} )
  add_test(NAME ${_name} COMMAND ${_name})
  ecm_mark_as_test(sievescriptdebugger-${_name})
  target_link_libraries( ${_name}  KF5::KSieveUi Qt::Test KF5::Completion KF5::KIOWidgets KF5::PimTextEdit)
endmacro()


add_sievescriptdebugger_test( sievescriptdebuggerdialogtest.cpp )
add_sievescriptdebugger_test( sievescriptdebuggerwidgettest.cpp )
add_sievescriptdebugger_test( sievescriptdebuggerfrontendwidgettest.cpp )
add_sievescriptdebugger_test( sievescriptdebuggerwarningtest.cpp )

=== src/ksieveui/vacation/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

macro( add_vacation_test _source )
  set( _test ${_source}test.cpp
    ../${_source}.cpp
    ../legacy/vacationutils.cpp
    ../legacy/vacationscriptextractor.cpp
    ../vacationscriptextractor.cpp
    ../vacationutils.cpp
    ../vacationeditwidget.cpp
    ../vacationmailactionwidget.cpp
    )
  configure_file(../../settings/sieve-editor.kcfg.cmake ${CMAKE_CURRENT_BINARY_DIR}/sieve-editor.kcfg)
  kconfig_add_kcfg_files(_test ../../settings/sieve-vacation.kcfgc ../../settings/sieve-editor.kcfgc)
  get_filename_component(_name ${_source}test NAME_WE)
  ecm_qt_declare_logging_category(_test HEADER libksieve_debug.h IDENTIFIER LIBKSIEVE_LOG CATEGORY_NAME org.kde.pim.libksieve)
  add_executable(${_name} ${_test})
  add_test(NAME vacation-${_name} COMMAND ${_name})
  ecm_mark_as_test(vacation-${_name})
  add_definitions(-DVACATIONTESTDATADIR="${CMAKE_CURRENT_SOURCE_DIR}/data/")
  target_link_libraries(${_name}
    KF5::KSieveUi
    Qt::Test
    KF5::IdentityManagement
    KF5::Mime
    KF5::I18n
    KF5::MailTransport
    KF5::Libkdepim
    )
endmacro()

add_vacation_test(vacationutils)
add_vacation_test(vacationeditwidget)
add_vacation_test(vacationmailactionwidget)

=== src/ksieveui/widgets/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
macro(add_autocreatescriptswidget_test _source)
  set( _test ${_source})
  get_filename_component( _name ${_source} NAME_WE )
  add_executable( ${_name} ${_test} )
  add_test(NAME ${_name} COMMAND ${_name})
  ecm_mark_as_test(sievescriptdebugger-${_name})
  target_link_libraries( ${_name} KF5::KSieveUi Qt::Test KF5::I18n)
endmacro()

add_autocreatescriptswidget_test(lineeditvalidatortest.cpp)
add_autocreatescriptswidget_test(includefilelineedittest.cpp)
add_autocreatescriptswidget_test(moveimapfolderwidgettest.cpp)

=== debian/changelog ===
libkf5ksieve (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:18:44 +0000

libkf5ksieve (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:25:19 +0000

libkf5ksieve (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:33:08 +0000

libkf5ksieve (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:30:13 +0000

libkf5ksieve (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:25:32 +0000

libkf5ksieve (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:32:19 +0000

libkf5ksieve (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:47:47 +0000

libkf5ksieve (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:40:43 +0100

libkf5ksieve (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:10:26 +0100

libkf5ksieve (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:04:58 +0100

libkf5ksieve (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:44:49 +0100

libkf5ksieve (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:51:46 +0100

libkf5ksieve (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:49:11 +0100

libkf5ksieve (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:15:34 +0100

libkf5ksieve (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:46:41 +0100

=== debian/control ===
Source: libkf5ksieve
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 21.12.3~),
               libkf5imap-dev (>= 21.12.3~),
               libkf5libkdepim-dev (>= 4:21.12.3~),
               libkf5mailtransport-dev (>= 21.12.3~),
               libkf5mime-dev (>= 21.12.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:21.12.3~),
               libkf5pimtextedit-dev (>= 21.12.3~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksieve
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksieve

Package: kio-sieve
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs-kio-plugins, kf5-kdepimlibs-kio-plugins, ${kde-l10n:all}
Breaks: kdepimlibs-kio-plugins, kf5-kdepimlibs-kio-plugins, ${kde-l10n:all}
Description: Sieve mail filtering language support for kdepim, development files
 This library implements a parser and lexer for Sieve, the mail filtering
 language (RFC 3028).
 .
 This package contains the kio slave for ksieve
 .
 This package is part of the KDE PIM module.

Package: libkf5kmanagesieve5
Architecture: any
Multi-Arch: same
Depends: libkf5ksieve-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Sieve remote script management support for kdepim, library
 This library implements a subset of the protocol for remotely managing Sieve
 scripts (RFC 5804). Among other basic operations, it provides an easy to use
 API for listing, retrieving, deleting, activating and uploading of scripts to
 the remote Sieve script server.
 .
 This package is part of the KDE PIM module.

Package: libkf5ksieve-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: kmail (<= 4:16.04), libkf5ksieveui5 (<= 4:16.04), ${kde-l10n:all}
Replaces: kmail (<= 4:16.04), libkf5ksieveui5 (<= 4:16.04), ${kde-l10n:all}
Description: Sieve mail filtering language support for kdepim, data files
 This library implements a parser and lexer for Sieve, the mail filtering
 language (RFC 3028).
 .
 This package is part of the KDE PIM module.
 .
 This package provides the data files common to the kf5ksieve libraries.

Package: libkf5ksieve-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:21.12.3~),
         libkf5kmanagesieve5 (= ${binary:Version}),
         libkf5ksieve5 (= ${binary:Version}),
         libkf5ksieveui5 (= ${binary:Version}),
         libkf5pimcommon-dev (>= 4:21.12.3~),
         libkf5syntaxhighlighting-dev,
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Sieve mail filtering language support for kdepim, development files
 This library implements a parser and lexer for Sieve, the mail filtering
 language (RFC 3028).
 .
 This package is part of the KDE PIM module.

Package: libkf5ksieve5
Architecture: any
Multi-Arch: same
Depends: libkf5ksieve-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Sieve mail filtering language support for kdepim, library
 This library implements a parser and lexer for Sieve, the mail filtering
 language (RFC 3028).
 .
 This package is part of the KDE PIM module.

Package: libkf5ksieveui5
Architecture: any
Multi-Arch: same
Depends: libkf5ksieve-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Sieve mail filtering language support for kdepim, GUI library
 This library implements GUI dialogs and elements which enable users to easily
 create, edit and manage their mail filters on the mail servers which support
 the Sieve language (RFC 3028) and the protocol for remotely managing Sieve
 scripts (RFC 5804).
 .
 This package is part of the KDE PIM module.

## libkf5ksieve 22.08.1

=== debian/changelog ===
libkf5ksieve (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:47:51 +0100

libkf5ksieve (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:57:02 +0100

libkf5ksieve (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:35:05 +0100

libkf5ksieve (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:09:44 +0100

libkf5ksieve (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:08:56 +0100

libkf5ksieve (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:56:15 +0100

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 21.12.3~),
-               libkf5imap-dev (>= 21.12.3~),
-               libkf5libkdepim-dev (>= 4:21.12.3~),
-               libkf5mailtransport-dev (>= 21.12.3~),
-               libkf5mime-dev (>= 21.12.3~),
+               libkf5identitymanagement-dev (>= 22.08.1~),
+               libkf5imap-dev (>= 22.08.1~),
+               libkf5libkdepim-dev (>= 4:22.08.1~),
+               libkf5mailtransport-dev (>= 22.08.1~),
+               libkf5mime-dev (>= 22.08.1~),
                libkf5newstuff-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:21.12.3~),
-               libkf5pimtextedit-dev (>= 21.12.3~),
+               libkf5pimcommon-dev (>= 4:22.08.1~),
+               libkf5pimtextedit-dev (>= 22.08.1~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libqt5webchannel5-dev (>= 5.6.1~),
@@ -79,11 +79,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:21.12.3~),
+Depends: libkf5akonadi-dev (>= 4:22.08.1~),
          libkf5kmanagesieve5 (= ${binary:Version}),
          libkf5ksieve5 (= ${binary:Version}),
          libkf5ksieveui5 (= ${binary:Version}),
-         libkf5pimcommon-dev (>= 4:21.12.3~),
+         libkf5pimcommon-dev (>= 4:22.08.1~),
          libkf5syntaxhighlighting-dev,
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
